Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Interface ValueAxisPlot

All Known Implementing Classes:
  CategoryPlot, ContourPlot, FastScatterPlot, PolarPlot, ThermometerPlot, XYPlot

public interface ValueAxisPlot

An interface that is implemented by plots that use a `ValueAxis`, providing a standard method to find the current data range.

Method Summary
`Range` | `getDataRange(ValueAxis axis)` Returns the data range that should apply for the specified axis.
`void` | `zoomHorizontalAxes(double factor)` Multiplies the range on the horizontal axis/axes by the specified factor.
`void` | `zoomHorizontalAxes(double lowerPercent, double upperPercent)` Zooms in on the horizontal axes.
`void` | `zoomVerticalAxes(double factor)` Multiplies the range on the vertical axis/axes by the specified factor.
`void` | `zoomVerticalAxes(double lowerPercent, double upperPercent)` Zooms in on the vertical axes.

Method Detail

### getDataRange

    public Range getDataRange(ValueAxis axis)

  Returns the data range that should apply for the specified axis.

  Parameters:
    `axis` - the axis.
  Returns:
    The data range.

### zoomHorizontalAxes

    public void zoomHorizontalAxes(double factor)

  Multiplies the range on the horizontal axis/axes by the specified factor.

  Parameters:
    `factor` - the zoom factor.

### zoomHorizontalAxes

    public void zoomHorizontalAxes(double lowerPercent,
                                   double upperPercent)

  Zooms in on the horizontal axes.

  Parameters:
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.

### zoomVerticalAxes

    public void zoomVerticalAxes(double factor)

  Multiplies the range on the vertical axis/axes by the specified factor.

  Parameters:
    `factor` - the zoom factor.

### zoomVerticalAxes

    public void zoomVerticalAxes(double lowerPercent,
                                 double upperPercent)

  Zooms in on the vertical axes.

  Parameters:
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD